Download it now!
Bug 69616 - FILESAVE: DOCX Export of two shapes with text loses text and shapes overlap
Summary: FILESAVE: DOCX Export of two shapes with text loses text and shapes overlap
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Rohit Deshmukh
URL:
Whiteboard: BSA target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-20 15:52 UTC by Adam CloudOn
Modified: 2014-05-25 20:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
DOCX containing two shapes side-by-side with text inside each of them (25.81 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-09-20 15:52 UTC, Adam CloudOn
Details
DOCX exported by LO with text lost and shapes side-by-side (5.95 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-09-20 15:53 UTC, Adam CloudOn
Details
Screenshot comparison of original DOCX and DOCX exported by LO (44.25 KB, image/png)
2013-09-20 15:53 UTC, Adam CloudOn
Details
Group shape in LO (72.65 KB, image/png)
2013-12-30 11:30 UTC, Rohit Deshmukh
Details
Group shape After RT in MSOffice (176.45 KB, image/png)
2013-12-30 11:30 UTC, Rohit Deshmukh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam CloudOn 2013-09-20 15:52:00 UTC
Created attachment 86197 [details]
DOCX containing two shapes side-by-side with text inside each of them

Problem description:
When loading the attached DOCX that has 2 shapes side-by-side with text inside each of them - and exporting it back to DOCX - the text is lost, and the two shapes end up on top of each other.
(you can actually only see one of the shapes, the other one is covered).

Steps to reproduce:
1. Load the attached DOCX in LO
2. Save as NEW.DOCX
3. Open the NEW.DOCX in Word
4. Text is lost and shapes are overlapping

Current behavior:
LO exports to DOCX where text is lost and shapes are overlapping.

Expected behavior:
LO should export to DOCX shapes side-by-side with text inside them.
              
Operating System: All
Version: 4.2.0.0.alpha0+ Master
Comment 1 Adam CloudOn 2013-09-20 15:53:16 UTC
Created attachment 86198 [details]
DOCX exported by LO with text lost and shapes side-by-side
Comment 2 Adam CloudOn 2013-09-20 15:53:53 UTC
Created attachment 86199 [details]
Screenshot comparison of original DOCX and DOCX exported by LO
Comment 3 Thomas van der Meulen 2013-09-29 07:11:00 UTC
Thank you for your bug report,
I can reproduce this bug running LibreOffice: 
Version: 4.2.0.0.alpha0+
Build ID: 164b6ce7b27c0a9ec19019e7b078b9f8f382007d
TinderBox: Win-x86@39, Branch:master, Time: 2013-09-28_16:39:4
And Mircosoft Word 2007
Comment 4 Rohit Deshmukh 2013-12-30 11:30:00 UTC
Created attachment 91326 [details]
Group shape in LO
Comment 5 Rohit Deshmukh 2013-12-30 11:30:25 UTC
Created attachment 91327 [details]
Group shape After RT in MSOffice
Comment 6 Commit Notification 2014-01-24 08:43:59 UTC
Rohit Deshmukh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f1ec5dcfca45e9623d3da05503353df63e8dba4f

fdo#69616: Fix for VML part missing for group.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Jorendc 2014-05-25 20:44:14 UTC
Text is left-aligned in both shapes. But that's a different issue; The shapes and positions are now preserved. Marking as RESOLVED FIXED